import { Args } from '@oclif/core';
import { outputRecordFromDefaultStore } from '../../lib/actor.js';
import { ApifyCommand } from '../../lib/apify_command.js';
export class GetValueCommand extends ApifyCommand {
    async run() {
        const { key } = this.args;
        await outputRecordFromDefaultStore(key);
    }
}
Object.defineProperty(GetValueCommand, "description", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: 'Gets a value from the default key-value store associated with the Actor run.'
});
Object.defineProperty(GetValueCommand, "args", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: {
        key: Args.string({
            required: true,
            description: 'Key of the record in key-value store',
        }),
    }
});
//# sourceMappingURL=get-value.js.map