import { Flags } from '@oclif/core';
import { ApifyCommand } from '../lib/apify_command.js';
import { checkLatestVersion } from '../lib/version_check.js';
export class CheckVersionCommand extends ApifyCommand {
    async run() {
        await checkLatestVersion(this.flags.enforceUpdate);
    }
}
Object.defineProperty(CheckVersionCommand, "description", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: 'Checks that installed Apify CLI version is up to date.'
});
Object.defineProperty(CheckVersionCommand, "flags", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: {
        'enforce-update': Flags.boolean({
            char: 'e',
            description: '[Optional] Enforce version update from NPM',
            required: false,
        }),
    }
});
Object.defineProperty(CheckVersionCommand, "hidden", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: true
});
Object.defineProperty(CheckVersionCommand, "hiddenAliases", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: ['cv']
});
//# sourceMappingURL=check-version.js.map