import chalk from 'chalk';
import { ApifyCommand } from '../lib/apify_command.js';
import { getLocalUserInfo, getLoggedClientOrThrow } from '../lib/utils.js';
export class InfoCommand extends ApifyCommand {
    async run() {
        await getLoggedClientOrThrow();
        const info = await getLocalUserInfo();
        if (info) {
            const niceInfo = {
                username: info.username,
                userId: info.id,
            };
            for (const key of Object.keys(niceInfo)) {
                console.log(`${chalk.gray(key)}: ${chalk.bold(niceInfo[key])}`);
            }
        }
    }
}
Object.defineProperty(InfoCommand, "description", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: 'Displays information about the currently active Apify account.\n'
        + 'The information is printed to the console.'
});
//# sourceMappingURL=info.js.map