import { Args } from '@oclif/core';
import { ApifyCommand } from '../lib/apify_command.js';
import { info } from '../lib/outputs.js';
import { wrapScrapyProject } from '../lib/projects/scrapy/wrapScrapyProject.js';
export class WrapScrapyCommand extends ApifyCommand {
    async run() {
        await wrapScrapyProject({ projectPath: this.args.path });
        info('Scrapy project wrapped successfully.');
    }
}
Object.defineProperty(WrapScrapyCommand, "description", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: `Wraps your existing Scrapy project to work like an Apify Actor.

It adds the following features:
- Automatic retry of failed requests
- Automatic proxy rotation
- Automatic user agent rotation
...
`
});
Object.defineProperty(WrapScrapyCommand, "args", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: {
        path: Args.string({
            required: false,
            description: 'Optional path to your scrapy project. If not provided, the current directory is used.',
        }),
    }
});
Object.defineProperty(WrapScrapyCommand, "hidden", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: true
});
//# sourceMappingURL=init-wrap-scrapy.js.map