import { Args } from '@oclif/core';
import { ApifyCommand } from '../../lib/apify_command.js';
import { addSecret } from '../../lib/secrets.js';
export class SecretsAddCommand extends ApifyCommand {
    async run() {
        const { name, value } = this.args;
        addSecret(name, value);
    }
}
Object.defineProperty(SecretsAddCommand, "description", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: 'Adds a new secret value.\nThe secrets are stored to a file at ~/.apify'
});
Object.defineProperty(SecretsAddCommand, "args", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: {
        name: Args.string({
            required: true,
            description: 'Name of the secret',
        }),
        value: Args.string({
            required: true,
            description: 'Value of the secret',
        }),
    }
});
//# sourceMappingURL=add.js.map