import { ApifyCommand } from '../../lib/apify_command.js';
import { LOCAL_CONFIG_PATH } from '../../lib/consts.js';
export class SecretsIndexCommand extends ApifyCommand {
    async run() {
        await this.printHelp();
    }
}
Object.defineProperty(SecretsIndexCommand, "description", {
    enumerable: true,
    configurable: true,
    writable: true,
    value: 'Manages secret values for Actor environment variables.\n\n'
        + 'Example:\n'
        + '$ apify secrets:add mySecret TopSecretValue123\n\n'
        + `Now the "mySecret" value can be used in an environment variable defined in "${LOCAL_CONFIG_PATH}" file by adding the "@" prefix:\n\n`
        + '{\n'
        + '  "actorSpecification": 1,\n'
        + '  "name": "my_actor",\n'
        + '  "environmentVariables": { "SECRET_ENV_VAR": "@mySecret" },\n'
        + '  "version": "0.1\n'
        + '}\n\n'
        + 'When the Actor is pushed to Apify cloud, the "SECRET_ENV_VAR" and its value is stored as a secret environment variable of the Actor.'
});
//# sourceMappingURL=index.js.map