/// <reference types="node" resolution-mode="require"/>
import process from 'node:process';
import { Command, Interfaces } from '@oclif/core';
import { KeysToCamelCase } from './utils.js';
export type ApifyFlags<T extends typeof Command> = KeysToCamelCase<Interfaces.InferredFlags<T['flags']>>;
export type ApifyArgs<T extends typeof Command> = Interfaces.InferredArgs<T['args']>;
/**
 * Adding parsing flags to oclif Command class
 */
export declare abstract class ApifyCommand<T extends typeof Command> extends Command {
    protected telemetryData: Record<string, unknown>;
    protected flags: ApifyFlags<T>;
    protected args: ApifyArgs<T>;
    init(): Promise<void>;
    finally(err?: Error): Promise<any>;
    /**
     * Reads data on standard input as a string.
     */
    readStdin(stdinStream: typeof process.stdin): Promise<string | undefined>;
    printHelp(customCommand?: string): Promise<void>;
}
//# sourceMappingURL=apify_command.d.ts.map