import { readFileSync } from 'node:fs';
import { Spider } from './Spider.js';
export class SpiderFileAnalyzer {
    constructor(pathname) {
        Object.defineProperty(this, "pathname", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.pathname = pathname;
    }
    getSpiders() {
        const file = readFileSync(this.pathname, 'utf8');
        const regex = /class\s+(\w+)/g;
        const spiders = [];
        let match = regex.exec(file);
        while (match) {
            spiders.push(new Spider({ class_name: match[1], pathname: this.pathname }));
            match = regex.exec(file);
        }
        return spiders;
    }
}
//# sourceMappingURL=SpiderFileAnalyzer.js.map